#!/bin/bash
# You can setup a slapproxy environment in your computer without ipv6.
# You must use a machine which has at least two cpu cores.
set -x
apt-get update
apt-get install -y wget git xz-utils apache2
echo "deb http://download.opensuse.org/repositories/home:/VIFIBnexedi/Debian_8.0/ ./" | tee /etc/apt/sources.list.d/slapos.list
wget -O- "http://download.opensuse.org/repositories/home:/VIFIBnexedi/Debian_8.0/Release.key" | apt-key add -
apt-get update
ln -s /etc/apache2/mods-available/rewrite.load /etc/apache2/mods-enabled/
ln -s /etc/apache2/mods-available/proxy.conf /etc/apache2/mods-enabled/
ln -s /etc/apache2/mods-available/proxy.load /etc/apache2/mods-enabled/
ln -s /etc/apache2/mods-available/proxy_http.load /etc/apache2/mods-enabled/
wget -O /etc/apache2/sites-enabled/erp5apachefront.conf https://lab.nexedi.cn/yusei/a/raw/master/erp5apachefront.conf
rm /etc/apache2/sites-enabled/000-default.conf
systemctl restart apache2.service
apt-get install -y slapos-node
slapos configure local
wget -O /etc/opt/slapos/slapos.cfg https://lab.nexedi.cn/yusei/a/raw/master/slapos.cfg
wget -O /etc/opt/slapos/computer_definition.cfg https://lab.nexedi.cn/yusei/a/raw/master/computer_definition.cfg
slapos proxy start
slapos node format --now